Broadcast to MSISDN

Broadcasts to a mobile subscriber ISDN (MSISDN) number with the Flow REST API.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Details

Send a WhatsApp templated message or SMS (text) message to a list of phone numbers (MSISDN).

Mapping of channel and channel name

The following table shows the channel mapping with the channel name.

ChannelchannelName
Google RBMrbm
MessageMediamessagemedia
Telekom RBMtelekom
Twiliotwilio
WhatsAppwhatsapp
Khoroskhoros
Messengermessenger

Mapping of the channel with the external ID

Within the Khoros Flow dashboard, open the messaging channel you'd like to use to send a message. Use the reference table below to find the value to use within your API call.

ChannelexternalId
Google RBMProject ID
MessageMediaPhone Number
Telekom RBMTelekom bot ID
TwilioPhone Number
WhatsAppProduction phone number
KhorosPhone number
MessengerPage ID

Text Example

The following example demonstrates how to send a message through Whatsapp.

POST rest/v1/broadcast/instant HTTP/1.1
Host: api.flow.ai
Content-Type: application/json
Authorization: MY_MESSAGING_API_KEY
{
  "audience": [{
    "name": "John Doe",
    "phoneNumber": "+12345678901",
    "profile": {}
  }],
  "channel": {
    "channelName": "whatsapp",
    "externalId": "+12345678902"
  },
  "payload": {
    "type": "text",
    "speech": "I'm searching for the address of your store in New York"
  }
}

Event Example

The following example demonstrates how to send an event message through WhatsApp.

POST rest/v1/broadcast/instant HTTP/1.1
Host: api.flow.ai
Content-Type: application/json
Authorization: MY_MESSAGING_API_KEY
{
  "audience": [{
    "name": "John Doe",
    "phoneNumber": "+12345678901",
    "profile": {}
  }],
  "channel": {
    "channelName": "whatsapp",
    "externalId": "+10987654321"
  },
  "payload": {
    "type": "event",
    "eventName": "Send template"
  }
}

Body Params
audience
array of objects

A list of originator objects. The intended audience to whom to send a message to. See the originator format for more details. Either the phoneNumber or identifier needs to be provided.

audience
channel
object

Information about the Flow integration used to send a message from.

payload
object
Response

Language
LoadingLoading…
Response
Choose an example:
application/json